call_usermodehelper_setcleanup
Prev | Module Loading | Next

## Name

call_usermodehelper_setcleanup — set a cleanup function

## Synopsis

`void call_usermodehelper_setcleanup (` | struct subprocess_info * | info,
| void (* | cleanup`(`char **argv, char **envp`)``)`;

## Arguments

`info`

  a subprocess_info returned by call_usermodehelper_setup

`cleanup`

  a cleanup function

## Description

The cleanup function is just befor ethe subprocess_info is about to be freed. This can be used for freeing the argv and envp. The Function must be runnable in either a process context or the context in which call_usermodehelper_exec is called.

Prev | Up | Next
call_usermodehelper_setkeys | Home | call_usermodehelper_stdinpipe